/*
 *  seznam.cpp
 *  sem2
 *
 *  Created by Helena Červinková on 12.5.06.
 *  Copyright 2006 www.lynn.cz. All rights reserved.
 *
 */
#include <iostream>
#include "seznam.h"
#include "prvek.h"
using namespace std;

seznam::seznam() {
	prvni_prvek=aktualni_prvek=posledni_prvek=0;
}

seznam::~seznam() {
	if (prvni_prvek==posledni_prvek) delete prvni_prvek;
	else do {
		aktualni_prvek=posledni_prvek->predchozi;
		delete posledni_prvek;
		posledni_prvek=aktualni_prvek;
	} while(prvni_prvek->dalsi==posledni_prvek);
	if (prvni_prvek!=posledni_prvek) {
		delete prvni_prvek;
		delete posledni_prvek;
	}
}

bool seznam::existuje(prvek<int> overovany_prvek) {
return true;
}

void seznam::pridej(prvek<int>* vkladany_prvek) {
//	vkladany_prvek = new prvek<int>;
	if (posledni_prvek!=0) {
		posledni_prvek->dalsi=vkladany_prvek;
		posledni_prvek=posledni_prvek->dalsi;
		aktualni_prvek=vkladany_prvek;
	}
	else {
		prvni_prvek=vkladany_prvek;
		aktualni_prvek=vkladany_prvek;
		posledni_prvek=vkladany_prvek;
	}
}

prvek<int>* seznam::vrat_posledni_prvek() {
	return posledni_prvek;
}

int seznam::vypis() {
	return vrat_posledni_prvek()->vratHodnotu();
//	return prvek<int>::hodnota;

}